
window.onload = function () {
    var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 5 });
    initSpread(spread);
};

function initSpread(spread) {
    if (!spread) {
        return;
    }
    spread.fromJSON(data);
    var cashflowSheet = spread.getSheetFromName("Cash-Flow");

     // on day selection, update a cell used in filtering the data to show detailed transaction list
     cashflowSheet.bind(GC.Spread.Sheets.Events.SelectionChanged, function (sender, args) {
        const sheet = args.sheet;
        const row = args.newSelections[0].row;
        const col = args.newSelections[0].col;

        if ((row < 3 || row >= 3 + 6)
            || (col < 1 || col >= 1 + 7))
            return;
        // set the current date cell so that FILTER would update.
        sheet.setValue(10, 1, sheet.getValue(row, col));
    });

}